Jobs List.

Use this endpoint to get a listing of Jobs.

When startDate and endDate are specified, jobs returned will be filtered to the given date range (inclusive).

The date field to filter on is given with dateFilterType which defaults to CreatedDate.

Optionally use milestones to limit the jobs to those in the listed milestones.

Optionally use sortBy to sort jobs by either CreatedDate, MilestoneDate, or ModifiedDate. CreatedDate is the default.

Optionally use sortOrder to indicate newest to oldest (Descending) ordering or oldest to newest (Ascending) ordering. Ascending is the default.

The pageStartIndex parameter to start looking for records should not exceed 100000

To Get Jobs:

Supported includes values: contact, initalAppointment.

Example: return the jobs (including initial appointment) that are prospects and were modified in April sorted most recent first (descending ModifiedDate)

/jobs?pageSize=25&includes=initialAppointment&filterByDate=ModifiedDate&startDate=2021-04-01&endDate=2021-04-30&sortBy=ModifiedDate&sortOrder=Descending

To Get Unassigned Jobs:

Supported includes values: contact.

Example: return the unassigned jobs (including contacts) that were modified in March sorted most recent first (descending ModifiedDate)

/jobs?assignment=unassigned&pageSize=25&includes=contacts&filterByDate=ModifiedDate&startDate=2025-03-01&endDate=2025-03-30&sortBy=ModifiedDate&sortOrder=Descending

jobs?assignment=unassigned&milestones=Lead&pageSize=25&includes=contacts&filterByDate=ModifiedDate&startDate=2025-03-01&endDate=2025-03-30

Example: return the unassigned jobs (including contacts) that were marked as Dead

/jobs?assignment=unassigned&milestones=Dead&pageSize=25&includes=contacts&filterByDate=ModifiedDate&startDate=2025-03-01&endDate=2025-03-30

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer

How many items to be returned at a time.

integer
Defaults to 0

The index of the first element to return

string

Optional fields to include in full with the response.

date

Start date for the query, in YYYY-MM-DD format.

date

End date for the query, in YYYY-MM-DD format.

string
enum
Defaults to CreatedDate

The date field to which startDate/endDate apply. Ignored when neither startDate nor endDate is given.

Allowed:
string
Defaults to lead,prospect,approved,completed,invoiced,closed,cancelled

Include only jobs currently in one of the listed milestones. Enter one or more values, separated by commas. The default is no milestone filtering. Possible values: lead, prospect, approved, completed, invoiced, closed, cancelled, dead.

Note: When filtering for dead leads ensure that the assignment is set to unassigned, otherwise no results will be returned.

string
enum
Defaults to CreatedDate

sort the returned jobs by this date field.

Allowed:
string
enum
Defaults to Ascending

return jobs in Ascending (default) or Descending order

Allowed:
string
enum

Optional field to filter only unassigned jobs in the response. Possible values: unassigned, assigned

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json